export declare class JingleSession {
    me: string;
    sid: string;
    connection: any;
    initiator: string;
    responder: string;
    isInitiator: boolean;
    peerjid: string;
    state: string;
    peerconnection: RTCPeerConnection;
    localStreams: MediaStream[];
    remoteStreamsObject: Record<string, MediaStream>;
    application: any;
    isRenegotiating: boolean;
    conference_id: any;
    confId: string;
    publisherId: string;
    remoteType: any;
    localType: any;
    localSDP: any;
    remoteSDP: any;
    localTransceivers: RTCRtpTransceiver[];
    onHold: boolean;
    logger: any;
    isEchoTest: boolean;
    calledNumber: any;
    replaceSid: string;
    callShift: boolean;
    isWebinarSession: boolean;
    private reason;
    /**
     * SESSION SETTINGS
     */
    media_constraints: RTCOfferOptions | RTCAnswerOptions;
    ice_config: any;
    company_config: any;
    private simulcastSettings;
    private bandwidthLimitSettings;
    private DTX;
    private iceFilterList;
    private enableDSCP;
    private jingleIqTimeout;
    timestamp: number;
    remoteSDPNumber: number;
    /**
     * WEBRTC STATS INFOS
     */
    private statsinterval;
    private webrtcStatsInterval;
    private webrtcStats;
    /**
     * RECONNECTION STUFF
     */
    isReconnecting: boolean;
    private savedIncomingTransportReplace;
    private createdOfferTimeout;
    private reconnectionOptions;
    private sendIceCandidatesPromise;
    hasSentTransportReplace: boolean;
    /**
     * LYFE CYCLE AND APIs
     */
    constructor(me: string, sid: string, connection: any, jingleIqTimeout?: number);
    initiate(peerjid: any, isInitiator: any, addStreams?: boolean): void;
    private addPeerConnectionListeners;
    private createRemoteStreamForConference;
    private createOrUpdateRemoteStreams;
    updateRemoteStreams(): void;
    replaceVideoTrack(videoTrack: any): void;
    replaceTransceiverTrack(track: any, id?: number): Promise<void>;
    addBundleStream(mediaStream: any): Promise<void>;
    addStream(stream: any, sfuBundle?: boolean): void;
    removeStream(mid?: number): Promise<void>;
    terminate(reason?: any): void;
    active(): boolean;
    private sendIceCandidate;
    private sendIceCandidates;
    hackOfferSDP(offer: any): any;
    hackMsLabelSDP(offer: any): any;
    sendTransportReplace(): void;
    sendTransportReplaceWithAwait(): void;
    reconnectSession(): Promise<void>;
    saveIncomingTransportReplace(elem: any, desctype: any, ack: any): void;
    acceptSavedIncomingTransportReplace(): void;
    rejectSavedIncomingTransportReplace(): void;
    sendCreatedOfferWithAckWait(offer: any, actionName: any): void;
    sendOffer(iceRestart: boolean, application?: any): Promise<void>;
    createdOffer(offer: any, actionName?: string, application?: any): Promise<void>;
    contentRemoveOld(streamType: any, addLocalType?: boolean): void;
    contentAdd(mediaStreamType: string, addMediaLocalType?: boolean): Promise<void>;
    contentRemove(mediaStreamType: string, addMediaLocalType?: boolean): Promise<void>;
    contentModify(mediaStreamType: string, options?: any): Promise<void>;
    contentUpdateOffer(sdp: any, mediaStreamType: string, actionType: any, addLocalType?: boolean): void;
    contentChangeAnswer(sdp: any, updateStreams: any): void;
    private setCodecPreferencesForSession;
    private sortByMimeTypes;
    private setCodecPreference;
    setRemoteDescription(elem: any, desctype: any): Promise<void>;
    addIceCandidate(elem: any): void;
    sendAnswer(type?: string): Promise<void>;
    private createdAnswer;
    sendTerminate(reason: string | null, text?: string): void;
    mediaModified(updateStreams?: any): void;
    muteAudio(muted: any): void;
    sendMute(muted: any, content: any): void;
    sendRefer(confendpointId: any, referTo: any): void;
    sendP2PTransferCallRefer(replaceSid: any, referTo: any): void;
    sendReferStatus(status: any): void;
    sendReferTransfer(method: any, referTo: any): void;
    sendHold(hold: boolean): Promise<void>;
    sendIceFailed(): void;
    sendRinging(): void;
    modifyEncodingState(state: any, customMuteAction: any): void;
    enableHQEncoding(enableHQEncoding: any): Promise<void>;
    disableSubStreamLevel(levelIndex: any): void;
    forceCodecTo(sdp: any, codecToForce: any, media: any): any;
    removeSsrcGroupFidForFirefox(sdp: any): any;
    setDSCPValues(): Promise<void>;
    webinarGetMedia(): any;
}
//# sourceMappingURL=strophe.jingle.session.d.ts.map