import { AUTH_TYPE } from "../services/core/auth.service";
export interface BackChannelSession {
    id: string;
    pollingUrl: string;
    token: string;
}
/**
 * @class
 * @name AuthSettings
 * @description
 *      This class contains the authentication methods available for an identified user.<br>
 *      Depending of the user's Login Policy setttings, it can either login with its RAINBOW account
 *      or thru a Single Sign-On (SSO) solution (for exemple a SAML authentication system) set up
 *      in its enterprise.
 */
export declare class AuthSettings {
    type: AUTH_TYPE | null;
    loginUrl: string | null;
    logoutUrl: string | null;
    safetyUrl: string | null;
    codeUrl: string | null;
    challenge: string | null;
    useBackChannel: boolean | null;
    backChannelSession: BackChannelSession | null;
    userId: string | null;
    static createFromData(data: any): AuthSettings;
    constructor(authURLs: any[]);
    /**
     * @public
     * @function setRainbowAppAuth
     * @memberof authSettings
     * @description Adds the fieldname as extra parameter of the login and/or logout url with the value generated by the function.
     * @param {string} name the field name to add as parameter
     * @param {Function} fn the generator function that generated the value.
     */
    setParameter(name: string, fn: any): void;
}
//# sourceMappingURL=authSettings.model.d.ts.map