import { FileDescriptor } from '../models/common/fileDescriptor';
export interface BubbleConferenceRecap {
    id?: string;
    recordingStartDate?: string;
    recordingStopDate?: string;
    records?: BubbleConferenceRecord[];
    roomId?: string;
    roomName?: string;
    roomTopic?: string;
    status?: string;
    userId?: string;
    avatarURL?: string;
    associatedRecordingFiles?: FileDescriptor[];
    overallArchiveSize?: number;
    linkPrivacy?: 'nolink' | 'everyone' | 'restricted';
    shareLink?: string;
    dashFilesAvailable: boolean;
    updateFromData(data: any): void;
    getChatFileDescriptor(): Promise<FileDescriptor>;
    getPosterFileDescriptor(): Promise<FileDescriptor>;
    getSummary(): Promise<string>;
    getSummaryFileDescriptor(): Promise<FileDescriptor>;
    getTranscription(type: 'txt' | 'json'): Promise<string>;
    getTranscriptionFileDescriptor(type: 'txt' | 'json'): Promise<FileDescriptor>;
    getAudioRecordingFileDescriptor(): Promise<FileDescriptor>;
    getVideoRecordingFileDescriptor(): Promise<FileDescriptor>;
    getSubtitlesFileDescriptor(): Promise<FileDescriptor>;
    complete(): Promise<void>;
    createLink(linkPrivacy: string, description?: string): Promise<void>;
    revokeLink(): Promise<void>;
}
export declare class BubbleConferenceRecapRB implements BubbleConferenceRecap {
    id?: string;
    recordingStartDate?: string;
    recordingStopDate?: string;
    records?: BubbleConferenceRecord[];
    roomId?: string;
    roomName?: string;
    roomTopic?: string;
    status?: string;
    userId?: string;
    avatarURL?: string;
    associatedRecordingFiles?: FileDescriptor[];
    overallArchiveSize?: number;
    linkPrivacy?: 'nolink' | 'everyone' | 'restricted';
    shareLink?: string;
    dashFilesAvailable: boolean;
    private mainService;
    private fileStorageService?;
    private fileServerService?;
    private confRecordingService?;
    private constructor();
    static createFromData(data: any): BubbleConferenceRecap;
    updateFromData(data: any): void;
    getPosterFileDescriptor(): Promise<FileDescriptor>;
    getChatFileDescriptor(): Promise<FileDescriptor>;
    getSummary(): Promise<string>;
    getSummaryFileDescriptor(): Promise<FileDescriptor>;
    getTranscription(type?: 'txt' | 'json'): Promise<string>;
    getTranscriptionFileDescriptor(type?: 'txt' | 'json'): Promise<FileDescriptor>;
    getAudioRecordingFileDescriptor(): Promise<FileDescriptor>;
    getVideoRecordingFileDescriptor(): Promise<FileDescriptor>;
    getSubtitlesFileDescriptor(): Promise<FileDescriptor>;
    complete(): Promise<void>;
    createLink(linkPrivacy: string, description?: string): Promise<void>;
    revokeLink(): Promise<void>;
    private getTextDocument;
}
export declare class BubbleConferenceRecord {
    fileId?: string;
    fileName?: string;
    md5sum?: string;
    size?: number;
    typeMIME?: string;
    static createFromData(data: any): BubbleConferenceRecord;
    private constructor();
}
//# sourceMappingURL=bubbleConferenceRecap.model.d.ts.map