import { Subject } from "rxjs";
/**
 * @class
 * @public
 * @name Channel
 * @description
 * This class is used to represent a channel
 */
export declare class Channel {
    name: string;
    id: string;
    visibility: string;
    topic: string;
    creatorId: string;
    companyId: string;
    creationDate: Date;
    usersCount: number;
    avatar: string;
    lastAvatarUpdateDate: Date | null;
    userRole: string;
    messageRetrieved: boolean;
    messages: any[];
    subscribed: boolean;
    deleted: boolean;
    invited: boolean;
    category: string;
    type: string;
    pageIndex: number;
    isLoading: boolean;
    complete: boolean;
    users: any[];
    publishersRetreived: boolean;
    mode: string;
    subscribersCount: number;
    loaded: boolean;
    messagesCount: number;
    updateSubject: Subject<any>;
    muted: boolean;
    additionDate: Date;
    protected constructor();
    /**
     * @this Channel
     * @param name
     * @param id
     * @param visibility
     * @param topic
     * @param creatorId
     * @param companyId
     * @param creationDate
     * @param usersCount
     * @param lastAvatarUpdateDate
     * @param subscribed
     * @param type
     * @param invited
     * @param category
     * @param mode
     * @param subscribersCount
     * @param muted
     * @param data
     * @param additionDate
     */
    updateFromData(data: any): void;
    static createEmpty(): Channel;
    static createFromData(data: any): Channel;
    isNotMember(): string;
    isOwner(): boolean;
    isPublisher(): boolean;
    isMember(): boolean;
    getAvatarSrc(): string;
}
//# sourceMappingURL=channel.d.ts.map