import { Subject } from "rxjs";
/**
 * @public
 * @class
 * @name FilePublicDownload
 * @description
 *      This class is used to represent a File Descriptor or a Short File Descriptor which describes a file shared in a conversation (one-to-one or bubble).
 */
export declare class FilePublicDownload {
    url: string;
    fileName: string;
    totalBytes: number;
    receivedBytes: number;
    savePath: string;
    isCanceled: boolean;
    openFolderOnceDownloadFinished: boolean;
    progressSubject: Subject<any>;
    static create(url: string, fileName: string, totalBytes: number, receivedBytes: number, savePath: string): FilePublicDownload;
    /**
     * @this FilePublicDownload
     */
    constructor(url: string, fileName: string, totalBytes: number, receivedBytes: number, savePath: string);
    isDownloadFinished(): boolean;
    askCancel(): void;
}
//# sourceMappingURL=filePublicDownload.d.ts.map