/**
 * @interface IThemeColor
 * @description
 *      Represents a color declaration in Theme.
 */
export interface IThemeColor {
    displayName: string;
    cssVariableName: string;
    cssValue: string;
    configurable: boolean;
}
/**
 * @class
 * @name ThemeColor
 * @description
 *      This class is used to represent a color declaration in a Theme.
 */
export declare class ThemeColor implements IThemeColor {
    /**
     * @public
     * @property {string} displayName The color displayable translation name.
     * @readonly
     */
    displayName: string;
    /**
     * @public
     * @property {string} cssVariableName The color css name.
     * @readonly
     */
    cssVariableName: string;
    /**
     * @public
     * @property {string} cssValue The color css value.
     * @readonly
     */
    cssValue: string;
    /**
     * @public
     * @property {string} configurable is this color configurable.
     * @readonly
     */
    configurable: boolean;
    constructor(attributes: IThemeColor);
    static create(displayName: string, cssVariableName: string, cssValue: string, configurable: boolean): ThemeColor;
    static createFromThemeColor(themeColor: ThemeColor): ThemeColor;
}
//# sourceMappingURL=themeColor.d.ts.map