import { BehaviorSubject, Subject } from "rxjs";
import { Contact } from "./contact.model";
export declare class PollAnswer {
    text: string;
    votes: any[];
    voters: number;
    nbVotes: number;
    voted: boolean;
    _selected: boolean;
    _details: boolean;
    _votes: number[];
    static create(text: string): PollAnswer;
    static createFromData(poll: Poll, data: any): PollAnswer;
    getData(): any;
    reset(): void;
}
export declare class PollQuestion {
    text: string;
    multipleChoice: boolean;
    answers: PollAnswer[];
    voters: number;
    valueChanges?: Subject<PollQuestion>;
    _edit: boolean;
    static create(text: string, answers: PollAnswer[], multipleChoice?: boolean): PollQuestion;
    static createEmpty(): PollQuestion;
    static createFromData(poll: Poll, data: any): PollQuestion;
    update(text: string, answers: PollAnswer[], multipleChoice: boolean): void;
    getPercent(answer: PollAnswer): number;
    getData(): any;
    reset(): void;
}
export declare class Poll {
    id: string;
    title: string;
    state: string;
    roomId: string;
    creator: Contact;
    creatorId: string;
    anonymous: boolean;
    modifyVote: boolean;
    questions: PollQuestion[];
    duration: number;
    voted: boolean;
    created: boolean;
    creationDate: Date | null;
    publicationDate: Date | null;
    voters: any[];
    _valueChanges: BehaviorSubject<Poll> | undefined;
    _durationTimeout: any;
    static create(roomId: string, questions: PollQuestion[]): Poll;
    static createFromData(data: any): Poll;
    updateFromData(data: any): void;
    getVoteData(): string;
    getData(): string;
    reset(): void;
}
//# sourceMappingURL=poll.model.d.ts.map