/**
 * @module LiveTranscription
 */
import { DataChannel } from "./dataChannel.model";
export declare enum LiveTranscriptionStatus {
    INVITED = "INVITED",
    CONNECTED = "CONNECTED",
    CLOSED = "CLOSED"
}
export declare class LiveTranscriptionMessage {
    date: string;
    text: string;
    from?: string;
    static create(date: Date, text: string, from?: string): LiveTranscriptionMessage;
}
export interface LiveTranscription {
    status: LiveTranscriptionStatus;
    messages: LiveTranscriptionMessage[];
    accept(): Promise<LiveTranscription>;
}
/** @internal */
export declare class LiveTranscriptionRB implements LiveTranscription {
    private dataChannel;
    private subscription?;
    private _status;
    messages: LiveTranscriptionMessage[];
    static create(dataChannel: DataChannel): LiveTranscriptionRB;
    private constructor();
    set status(status: LiveTranscriptionStatus);
    get status(): LiveTranscriptionStatus;
    accept(): Promise<LiveTranscription>;
    private cleanString;
}
//# sourceMappingURL=transcription.model.d.ts.map