import { WebConferenceServiceRB } from "./webConference.service";
import { WebConferenceSession } from "../../models/webConferenceSession.model";
import { BubbleConferenceParticipant } from "../../models/webConferenceParticipant.model";
export declare class WebConferenceHelper {
    private webConferenceService;
    private subscription;
    private eventService;
    private authService;
    private logger;
    private errorHelperService;
    private xmppService;
    private configuration;
    constructor(webConferenceService: WebConferenceServiceRB);
    start(): void;
    stop(): void;
    setConfiguration(disableDynamicFeed?: boolean, disableAutoSubscriptions?: boolean, limitVideoSubscriptions?: number): void;
    updateSubstreamLevelForDynamicFeedBasedOnVideoSize(conferenceId: string, width: any): Promise<void>;
    updateSubstreamLevelForParticipantBasedOnVideoSize(conferenceId: string, publisher: BubbleConferenceParticipant, width: any): Promise<void>;
    updateParticipantVideoOnQualityChange(webConferenceSession: WebConferenceSession, publisher: BubbleConferenceParticipant, decreaseQuality: boolean, session: any): Promise<void>;
    private attachHandlers;
    private subscribeToNewPublishers;
    private subscribeToPublishersByParts;
    private subscribeToNewServices;
}
//# sourceMappingURL=webConferenceHelper.d.ts.map