import { Contact } from '../../models/contact.model';
import { ConversationRB, ConversationStatus } from '../../models/conversation.model';
export declare class ConversationServiceEventHandler {
    static create(): ConversationServiceEventHandler;
    private xmppService;
    private logger;
    private mainService;
    private contactService;
    private eventService;
    private conversationService;
    private i18n;
    private webConferenceService?;
    private webinarService?;
    private fileServerService?;
    private fileStorageService?;
    private webrtcGatewayService?;
    private roomService?;
    private constructor();
    onChatMessageReceived(stanza: any): boolean;
    onErrorMessageReceived(stanza: any): Promise<void>;
    onConferenceMessageReceived(stanza: any): boolean;
    onRoomAdminMessageReceived(conversation: ConversationRB, contact: Contact, type: string, msgId: string, translatedMessage: any): void;
    onFileMessageReceived(stanza: any): boolean;
    onWebRTCMessageReceived(stanza: any): boolean;
    onPBXMessageReceived(stanza: any): boolean;
    onManagementMessageReceived(stanza: any): boolean;
    onReceiptMessageReceived(stanza: any): boolean;
    /*********************************************************************/
    /** PRIVATE METHODS                                                 */
    /*********************************************************************/
    private extractStanzaData;
    private handleCommonData;
    private handleStandardMsg;
    private handleCarbonMsg;
    extractWebrtcStanzaData(stanza: any): Promise<any>;
    handleChatMessage(stanzaData: any): void;
    private acknowledgeHandledChatMessage;
    private handleReceiptReceiveMessage;
    private handleStatusMessage;
    stringToStatus(status: string): ConversationStatus;
    onRecordingMessageReceived(stanza: any): boolean;
    handlePinMessage(stanzaData: any): void;
    handlePollEvent(conversation: ConversationRB, contact: Contact, msgId: string, pollId: string): void;
}
//# sourceMappingURL=conversationServiceEventHandler.d.ts.map