import { Service } from '../../services/service';
export declare const EVENT_SVC = "EventService";
/**
 * Collection of Rainbow global events.
 *
 * @public
 */
export declare enum RainbowEvent {
    /**
     * This event is fired when Rainbow App needs to open a window popup and that user has blocked the popup usage.
     * This event is generally used to display an information message.
     */
    RAINBOW_APP_NEEDS_POPUP = "RAINBOW_APP_NEED_POPUP"
}
export declare class EventService extends Service {
    private $rootScope;
    private rxSubject;
    private listeners;
    private events;
    static getInstance(): EventService;
    static build(): EventService;
    private constructor();
    configure($rootScope?: any): void;
    subscribe(eventName: string, handler: any): any;
    unsubscribe(subscription: any): void;
    publish(eventName: string, ...args: any[]): void;
    setVariable(varName: string, value: string): void;
    getVariable(varName: string): any;
}
//# sourceMappingURL=event.service.d.ts.map