import { Service } from '../../services/service';
import { RBEvent } from '../../models/event.model';
import { Subscription } from 'rxjs';
export declare const SETTINGS_SVC = "SettingsService";
export interface LanguageData {
    label: string;
    settingCode: string;
    code: string;
    isoCode: string;
    codeMoment: string;
    codeDateFns: string;
    unicode: string;
}
export declare class SettingsService extends Service {
    private automaticHookOff;
    private automaticHookOffTime;
    private timers;
    private languageCodes;
    private defaultLanguage;
    private languages;
    settings: Record<string, any>;
    letItSnowAvailable: boolean;
    private updateSubject;
    static getInstance(): SettingsService;
    static build(): SettingsService;
    private constructor();
    letItSnowActivated(): boolean;
    configure(): void;
    setSetting(key: string, value: string): void;
    getSetting<V extends string>(key: string): V | undefined;
    getBooleanSetting(key: string): boolean;
    setSettingTemporarly(key: string, value: string, time?: number): void;
    sendUpdateEvent(event: RBEvent): void;
    subscribeUpdateEvent(eventName: string, handler: any): Subscription;
    private getLocalStorageSettings;
    getRedirectVoIP(): boolean;
    setRedirectVoIP(redirectVoIP: boolean): void;
    getIncomingCallPopupEnabled(): boolean;
    setIncomingCallPopupEnabled(incomingCallPopupEnabled: boolean): void;
    getIncomingCallAutoAnswerEnabled(): boolean;
    setIncomingCallAutoAnswerEnabled(incomingCallAutoAnswerEnabled: boolean): void;
    isAutomaticHookOff(): boolean;
    setAutomaticHookOff(isActivated: boolean): void;
    getAutomaticHookOffTime(): number;
    setAutomaticHookOffTime(milliseconds: number): void;
    setIceConfig(iceConfig: string): void;
    getAvailableLanguages(): LanguageData[];
    getAppliLanguage(): LanguageData;
    getAppliLanguageCodeForServer(): string;
    setAppliLangageCodeFromServer(serverCode: string): void;
    setAppliLanguageCode(lang: string): void;
    getBestLanguageForIsoCode(isoCode: string): LanguageData;
    getSimpleLanguageCode(isoCode: string): string;
    getLanguageByIsoCode(isoCode: string): LanguageData;
    private getMappedLanguage;
    isHybridTelephonySettingsCustomEnabled(): boolean;
    getHybridTelephonyCustomizationManifest(): Promise<any>;
    setHybridTelephonyCustomizationManifest(manifest: any, isZipFile: boolean): Promise<void>;
    getRejectOnBusy(): boolean;
}
//# sourceMappingURL=settings.service.d.ts.map