import { Subscription } from 'rxjs';
import { Service } from '../../services/service';
export declare const XMPP_SVC = "XmppService";
export declare class XmppService extends Service {
    private static REQUEST_TIMEOUT;
    private logger;
    private authService;
    private settingsService;
    private mainService;
    private rxConnectionSubject;
    private rxContactSubject;
    private showBodyMessage;
    private presenceWaitingList;
    private xmppServerURL;
    private stropheStatus;
    private presenceStatus;
    private pingTimeout;
    private connecting;
    private disconnectInfo;
    private connectionWatcherTimout;
    private isInitialPresenceSent;
    private historyHandler;
    private bulkHistoryHandler;
    private reconnectInProgress;
    private reconnectionDelay;
    private reconnectTimeout;
    private connectivityEventSubscription;
    private lastPingDate;
    started: boolean;
    connection: any;
    jid: string;
    fullJid: string;
    changePasswordInfo: any;
    contactServiceReady: boolean;
    connected: boolean;
    reconnectionMode: boolean;
    static getInstance(): XmppService;
    static build(): XmppService;
    protected constructor();
    private onHandleConnectivity;
    start(): Promise<void>;
    stop(): Promise<void>;
    resetAllObjects(): void;
    connect(): Promise<void>;
    private saveLastPingDate;
    waitForGuestXmppReconnection(): Promise<void>;
    disconnect(reason: string): Promise<any>;
    private stropheConnect;
    private connectionWatcher;
    private generateRandomFullJid;
    private handleRawXmppMessage;
    private anonymizeTag;
    private anonymizeAttribut;
    private messageBodyDiscretion;
    private messageTagDiscretion;
    private onDisconnectEvent;
    private interruptAutoReconnect;
    autoReconnect(): Promise<void>;
    subscribeToContactEvents(observer: any): Subscription;
    subscribeToConnectionEvents(observer: any): Subscription;
    publishContactEvent(name: string, params: any): void;
    publishConnectionEvent(name: string, data?: any): void;
    private onRosterChangedMessageReceived;
    sendPresence(show: string, message?: string, auth?: boolean, userOptions?: {
        im: boolean;
        alert: boolean;
        companyid: string;
        ringingOnDnd: boolean;
        rejectOnBusy: boolean;
    }): void;
    resetPresence(status: any): void;
    private onPresenceMessageReceived;
    getPresenceWaitingList(): any[];
    resetPresenceWaitingList(): void;
    addHistoryHandler(handler: any): void;
    addBulkHistoryHandler(handler: any): void;
    onMamBulkMessageReceived(stanza: any): boolean;
    private onMamMessageReceived;
    getBareJidFromJid(jid: string): string;
    getResourceFromJid(jid: string): string;
    isMobileResource(jid: string): boolean;
    addHandler(handler: any, ns: string, name?: string, type?: string | string[]): string;
    deleteHandler(handRef: string): void;
    isConnectedJid(jid: string): boolean;
    send(stanza: any): Promise<any>;
    sendIQ(iq: any, timeout?: number): Promise<any>;
}
//# sourceMappingURL=xmpp.service.d.ts.map