import { type EmojiConfig } from '@ale-rainbow/noto-emoji';
import { Service } from '../services/service';
import * as notoEmoji from "@ale-rainbow/noto-emoji";
export type { Emoji, EmojiCategories } from '@ale-rainbow/noto-emoji';
export declare const EMOJI_SVC = "EmojiService";
export declare const UNICODE_EMOJI_REGEX: RegExp;
export interface EmojiData {
    code: string;
    unicode: string;
    title: string;
}
export declare class EmojiService extends Service {
    private _config;
    private logger;
    static getInstance(): EmojiService;
    static build(): EmojiService;
    constructor();
    get config(): EmojiConfig;
    asciiToUnicode(text: string, config?: EmojiConfig): string;
    shortnameToUnicode(text: string, config?: EmojiConfig): string;
    unicodeToShortname(text: string, config?: EmojiConfig): string;
    getEmojiData(shortname: string): notoEmoji.Emoji | undefined;
    emojiShortnameToUnicode(text: string): string;
    private unescapeQuotes;
    toParsedUnicode(text: string, config?: EmojiConfig): string;
    getFlags(config?: EmojiConfig): Map<string, any>;
    getEmojisData(text: string): EmojiData[];
}
//# sourceMappingURL=emoji.service.d.ts.map