import { Service } from '../../services/service';
export declare const URL_METADATA_SVC = "UrlMetadataService";
export declare class UrlMetaData {
    title: string;
    url: string;
    description: string;
    image: string;
    static create(data: any): UrlMetaData | null;
}
export interface IUrlMetadataService {
    getUrlFromString(text: string): string;
    getUrlMetadata(url: string, timeout: number): Promise<UrlMetaData | null>;
}
/**
 * @module
 * @name UrlMetadataService
 * @public
 * @description This service manages urlMetadata in Rainbow.
 */
export declare class UrlMetadataService extends Service implements IUrlMetadataService {
    private logger;
    private authService;
    private linkRegex;
    private abortController;
    /**
     * @function getInstance
     * @static
     * @private
     * @description return the urlMetaSErvice singleton
     * @returns {UrlMetadataService} the UrlMetadataService instance
     */
    static getInstance(): UrlMetadataService;
    static build(): UrlMetadataService;
    private constructor();
    getUrlFromString(text: string): string;
    getUrlMetadata(url: string, timeout?: number): Promise<UrlMetaData | null>;
    abortUrlMetadataRequest(): void;
}
//# sourceMappingURL=urlMetadata.service.d.ts.map