import { IVideoPipeline } from '../../../../services/virtualBackground/virtualBackground.service';
export declare class Canvas2DPipeline implements IVideoPipeline {
    private vbService;
    private logger;
    private segmentationPixelCount;
    private tflite;
    private segmentationMaskCtx;
    private segmentationMask;
    private outputCanvasCtx;
    private segmentationMaskCanvas;
    maskFrameTimerWorker: Worker;
    virtualImage: CanvasImageSource;
    virtualVideo: CanvasImageSource;
    /**
     * @function create
     * @static
     * @public
     * @returns {Canvas2DPipeline} Initialization of the class
     */
    static create(virtualBackgroundService: any): Canvas2DPipeline;
    private constructor();
    /**
     * @function init
     * @public
     * @async
     * @description Retrieve the image or video to be used as a background
     */
    init(): Promise<any>;
    private loadImage;
    /**
     * @function render
     * @public
     * @async
     * @description Calls the different methods to create the virtual background
     */
    render(): Promise<void>;
    updatePostProcessingConfig(): void;
    /**
     * @function cleanUp
     * @public
     * @description deletes the canvas created for the mask
     */
    cleanUp(): void;
    /****************************************************************************/
    /** PUBLIC STUFF                                                           **/
    /****************************************************************************/
    /**
     * @function runPreProcessing
     * @private
     * @description Resize the mask and send the data to tflite
     */
    private runPreProcessing;
    /**
     * @function runInference
     * @private
     * @description Recovery of the AI data and application of the softMax equiation to create the mask
     */
    private runInference;
    /**
     * @function runPostProcessing
     * @private
     * @description Finalization of the virtual background
     */
    private runPostProcessing;
}
//# sourceMappingURL=canvas2DPipeline.d.ts.map