import { Webgl2Pipeline } from '../../../../services/virtualBackground/pipeline/webgl2/webgl2Pipeline';
export type BackgroundBlurStage = {
    render(): void;
    updateCoverage(coverage: [number, number]): void;
    cleanUp(): void;
};
export declare class BlurStage {
    private blur;
    private blend;
    /**
     * @function create
     * @static
     * @public
     * @param {Options} options The options (type and url) of the image or the video
     * @param {Webgl2Pipeline} vbWebgl2 The instance of the webgl2 class
     * @returns {BlurStage | null} Initialization of the class
     */
    static create(options: any, vbWebgl2: Webgl2Pipeline): BlurStage;
    private constructor();
    /****************************************************************************/
    /** PUBLIC STUFF                                                           **/
    /****************************************************************************/
    /****************************************************************************/
    /** PRIVATE STUFF                                                          **/
    /****************************************************************************/
    render(): void;
    updateCoverage(coverage: [number, number]): void;
    cleanUp(): void;
}
export declare class BlurPass {
    private vbHelper;
    private vbWebgl2;
    program: any;
    private outputWidth;
    private outputHeight;
    private inputFrameLocation;
    private personMaskLocation;
    private texelSizeLocation;
    private texelHeight;
    private texelWidth;
    private texture1;
    private texture2;
    private frameBuffer1;
    private frameBuffer2;
    private fragmentShaderBlur;
    private gl;
    private options;
    constructor(vbWebgl2: Webgl2Pipeline, options: any);
    /**
     * @function render
     * @public
     */
    render(): void;
    /**
     * @function cleanUp
     * @public
     * @description removes the different components used to make the assembly with the blurring of the environment
     */
    cleanUp(): void;
}
export declare class BlendPass {
    private vbWebgl2;
    private vbHelper;
    private vertexShaderBlend;
    private fragmentShaderBlend;
    private program;
    private coverageLocation;
    private gl;
    constructor(vbWebgl2: Webgl2Pipeline);
    /**
     * @function render
     * @public
     */
    render(): void;
    /**
     * @function updateCoverage
     * @public
     * @param {[number, number]} coverage
     */
    updateCoverage(coverage: [number, number]): void;
    /**
     * @function cleanUp
     * @public
     * @description removes the different components used to make the assembly with the blurring of the environment
     */
    cleanUp(): void;
}
//# sourceMappingURL=blurStage.d.ts.map