import { Webgl2Pipeline } from './webgl2Pipeline';
export declare class JointBilateralFilter {
    private vbWebgl2;
    private vbHelper;
    frameBuffer: WebGLFramebuffer;
    private fragmentShader;
    private stepLocation;
    private radiusLocation;
    private offsetLocation;
    private sigmaTexelLocation;
    private sigmaColorLocation;
    private texelWidth;
    private texelHeight;
    private program;
    private outputCanvasWidth;
    private outputCanvasHeight;
    private segmentationMaskWidth;
    private segmentationMaskHeight;
    private gl;
    texture: WebGLTexture;
    /**
     * @function create
     * @static
     * @public
     * @param {Webgl2Pipeline} vbWebgl2 The instance of the webgl2 class
     * @returns {JointBilateralFilter} Initialization of the class
     */
    static create(vbWebgl2: Webgl2Pipeline): JointBilateralFilter;
    private constructor();
    /**
     * @function render
     * @public
     * @description Applies the bilateral filter to all frames of the video stream
     */
    render(): void;
    /**
     * @function updateSigmaSpace
     * @public
     * @param {number} sigmaSpace
     */
    updateSigmaSpace(sigmaSpace: number): void;
    /**
     * @function updateSigmaColor
     * @public
     * @param {number} sigmaColor
     */
    updateSigmaColor(sigmaColor: number): void;
    /**
     * @function cleanUp
     * @public
     * @description removes the different components used to realize the bilateral filter
     */
    cleanUp(): void;
}
//# sourceMappingURL=jointBilateralFilter.d.ts.map