import { Webgl2Pipeline } from './webgl2Pipeline';
export declare class SoftMax {
    private vbWebgl2;
    private vbHelper;
    private frameBuffer;
    private fragmentShader;
    private inputTexture;
    private gl;
    private program;
    private segmentationMaskWidth;
    private segmentationMaskHeight;
    /**
     * @function create
     * @static
     * @public
     * @param {Webgl2Pipeline} vbWebgl2 The instance of the webgl2 class
     * @returns {SoftMax} Initialization of the class
     */
    static create(vbWebgl2: Webgl2Pipeline): SoftMax;
    private constructor();
    /**
     * @function render
     * @public
     * @description applies the softmax formula to each given image
     */
    render(): void;
    /**
     * @function cleanUp
     * @public
     * @description removes the different components used to realize the softmax equation
     */
    cleanUp(): void;
}
//# sourceMappingURL=softMax.d.ts.map