import { IVideoPipeline } from '../../../../services/virtualBackground/virtualBackground.service';
export type BlendMode = 'screen' | 'linearDodge';
export declare const glsl: (template: {
    raw: readonly string[] | ArrayLike<string>;
}, ...substitutions: any[]) => string;
export declare const segmentationDimensions: {
    model96: {
        height: number;
        width: number;
    };
    model144: {
        height: number;
        width: number;
    };
};
export declare class Webgl2Pipeline implements IVideoPipeline {
    private logger;
    options: any;
    segmentationPixelCount: number;
    tflite: any;
    gl: WebGL2RenderingContext;
    segmentationMaskCanvas: HTMLCanvasElement;
    segmentationTexture: WebGLTexture;
    personMaskTexture: WebGLTexture;
    private virtualBackgroundResizingStage;
    private virtualBackgroundSoftMax;
    private virtualBackgroundJointBilateralFilter;
    private virtualBackgroundBlurStage;
    private virtualBackgroundImageStage;
    private vbService;
    private vbHelper;
    VIRTUAL_BACKGROUND_TYPE: any;
    maskFrameTimerWorker: Worker;
    virtualImage: CanvasImageSource;
    positionBuffer: WebGLBuffer;
    private vertexArray;
    private inputFrameTexture;
    texCoordBuffer: WebGLBuffer;
    vertexShader: WebGLShader;
    outputMemoryOffset: number;
    outputCanvasElement: HTMLCanvasElement;
    statsEnabled: boolean;
    stats: any;
    static create(virtualBackgroundService: any): Webgl2Pipeline;
    private constructor();
    /**
     * Initialization of the different methods and components used to create the virtual background
     */
    init(): Promise<any>;
    /**
     * Calls the different stages that make up the virtual background
     */
    render(): Promise<void>;
    /**
     * Initialization of the different default settings
     */
    updatePostProcessingConfig(): void;
    /**
     * Removes the different components used to create the virtual background
     */
    cleanUp(): void;
}
//# sourceMappingURL=webgl2Pipeline.d.ts.map