import { Webinar, WebinarCSVStatus, WebinarParticipant } from "../../models/webinar.model";
import { WebinarServiceRB } from "../../services/webinars/webinars.service";
export declare abstract class AbstractWebinarService {
    abstract add(webinar: Webinar, participant: WebinarParticipant): Promise<Webinar>;
    abstract approve(webinar: Webinar, emails: string[]): Promise<Webinar>;
    abstract reject(webinar: Webinar, emails: string[]): Promise<Webinar>;
    abstract resendInvitationMail(webinar: Webinar, emails: string[]): Promise<Webinar>;
    abstract getInfo(webinar: Webinar, email: string): Promise<any>;
    abstract getCSVTemplateUrl(): Promise<string>;
    abstract getCSVText(webinar: Webinar): Promise<string>;
    abstract checkCSV(webinar: Webinar, CSVBuffer: string): Promise<any>;
    abstract importCSV(webinar: Webinar, CSVBuffer: string): Promise<Webinar>;
    abstract authenticate(openInviteId: string, joinUuid: string, agreement: boolean, accessCode: string): Promise<any>;
    abstract joinWebinar(openInviteId: string, joinUuid: string, accessCode: string): Promise<any>;
    abstract joinWebinarAsRainbowAttendee(webinarId: string): Promise<any>;
}
export declare class WebinarParticipantsService extends AbstractWebinarService {
    private webinarService;
    private authService;
    private logger;
    private errorHelperService;
    static create(webinarService: WebinarServiceRB): WebinarParticipantsService;
    constructor(webinarService: WebinarServiceRB);
    add(webinar: Webinar, participant: WebinarParticipant): Promise<Webinar>;
    approve(webinar: Webinar, emails: string[]): Promise<Webinar>;
    reject(webinar: Webinar, emails: string[]): Promise<Webinar>;
    resendInvitationMail(webinar: Webinar, emails: string[]): Promise<Webinar>;
    getInfo(webinar: Webinar, email: string): Promise<any>;
    getCSVTemplateUrl(): Promise<string>;
    getCSVText(webinar: Webinar): Promise<string>;
    checkCSV(webinar: Webinar, CSVBuffer: string): Promise<WebinarCSVStatus>;
    importCSV(webinar: Webinar, CSVBuffer: string): Promise<Webinar>;
    getImportDetails(webinar: Webinar): Promise<Webinar>;
    authenticate(openInviteId: string, joinUuid: string, agreement?: boolean, accessCode?: string, userData?: any): Promise<any>;
    private guestLogon;
    private getAccount;
    joinWebinar(openInviteId: string, joinUuid: string, accessCode?: string): Promise<any>;
    joinWebinarAsRainbowAttendee(webinarId: string): Promise<any>;
    declineWebinarInvitation(openInviteId: string, joinUuid: string): Promise<any>;
    private unEntity;
}
//# sourceMappingURL=webinarParticipants.service.d.ts.map