import { Webinar } from "../../models/webinar.model";
import { WebinarServiceRB } from "../../services/webinars/webinars.service";
export declare abstract class AbstractWebinarSpeakersService {
    abstract get(webinar: Webinar, id: string): any;
    abstract invite(webinar: Webinar, contactId: string[], emails: string[]): Promise<void>;
    abstract remove(webinar: Webinar, contactId: string[], emails: string[]): Promise<void>;
    abstract promoteSpeakers(webinar: Webinar, users: string[]): Promise<void>;
    abstract demoteOrganizers(webinar: Webinar, users: string[]): Promise<void>;
    abstract updateOrganizer(webinar: Webinar, user: string, hightlighted: boolean): Promise<void>;
}
export declare class WebinarSpeakersService extends AbstractWebinarSpeakersService {
    private webinarService;
    private authService;
    private logger;
    private errorHelperService;
    static create(webinarService: WebinarServiceRB): WebinarSpeakersService;
    constructor(webinarService: WebinarServiceRB);
    get(webinar: Webinar, id: string): any;
    invite(webinar: Webinar, users: string[], emails: string[]): Promise<any>;
    remove(webinar: Webinar, users: string[], emails: string[]): Promise<void>;
    promoteSpeakers(webinar: Webinar, users: string[]): Promise<void>;
    demoteOrganizers(webinar: Webinar, users: string[]): Promise<void>;
    updateOrganizer(webinar: Webinar, userId: string, hightlighted: boolean): Promise<void>;
}
//# sourceMappingURL=webinarSpeakers.service.d.ts.map