import { CallRB } from "../../models/call.model";
import type { WebrtcP2PService } from "../../services/webrtc/webrtcP2P.service";
import { Contact } from '../../models/contact.model';
export declare class WebrtcP2PEventHandler {
    private webrtcP2PService;
    private xmppService;
    private logger;
    private contactService;
    private eventService;
    private webrtcConfigAndUtils;
    private settingsService;
    private conversationService;
    private nameSpace;
    private messageHandlerRef;
    private xmppServiceSubscription;
    constructor(webrtcP2PService: WebrtcP2PService);
    destroy(): void;
    private onJingleMessage;
    private onJingleSessionInitiate;
    private onJingleTransportReplace;
    private onJingleWebrtcStatsEvent;
    private onJingleHoldEvent;
    private onJingleUnholdEvent;
    private onJingleCallAccepted;
    setRemoteTypeMedia(remoteType: string[], call: CallRB): void;
    setLocalTypeMedia(localType: string[], call: CallRB): void;
    sendProposition(contact: Contact, media: string, message?: string, addAudioToSharingCall?: boolean): Promise<CallRB>;
    retractProposition(call: any): void;
    acceptProposition(call: any, type: any): void;
    rejectProposition(call: CallRB, __cause?: string, notifyOtherParticipant?: boolean): void;
    notifyRemoteOfDummyRejectProposition(callId: string, __cause?: string): void;
    onMessageReceived(stanza: any): boolean;
    private onMessageReceivedError;
    private getOrCreateContact;
    private onPropositionReceived;
    private onRetractReceived;
    private onRejectReceived;
    private onAcceptReceived;
    private onProceedReceived;
    /*************************************************************/
    /*************************************************************/
    incomingCall(callId: string): void;
    activeCall(callId: any): void;
    terminatedCall(callId: any, callReason?: string, doNotUpdatePresence?: boolean): void;
    onJingleError(sid: any, error: any): void;
    iceConnectionStateChange(sid: any, sess: any): void;
    mediaModified(sid: any): void;
    onTrasferCallEvent(referTo: string, otherSid: string): Promise<void>;
    onIncomingTrasferredCall(sid: string): Promise<void>;
    onIncomingShiftCall(oldCallId: string, newCallId: string): Promise<void>;
}
//# sourceMappingURL=webrtcP2PEventHandler.d.ts.map